Subject: bug#58606: Emacs next pgtk crashes when pasting to other app

From: Joshua Branson <[email-masked]>
Date: Sun, 23 Oct 2022 15:12:52 -0400

Joshua Branson via Bug reports for GNU Guix <[email-masked]> writes:

> Andrew Tropin <[email-masked]> writes:
>
>> Recently discovered a problem, which reproduces this way:
>> - Open a new emacs instance.
>> - Yank anything with M-w or select with mouse.
>> - Paste yanked text to chromium/icecat.
>>
>> Both browser and emacs are hanging up for a while and after that Emacs
>> crashes with:
>>
>> Fatal error 11: Segmentation fault
>>
>>
>> sway, emacs-next-pgtk, ungoogled-chromium
>
> I was unable to reproduce this bug.  I am also using sway.  Also thanks
> for the tip about emacs-next-pgtk.  I didn't know that was packaged!
>

So I did just reconfigure, and I am now running a wayland only sway
session.

I did notice that I cannot seem to copy text from inside emacs and paste
into chromium or icecat... Chromium seemed to lock up after I tried to
paste into its url bar.  Icecat did not accept the paste, but continued
working...